CONTACT LOOP SUPPORT

Supported browsers

For the best experience using Loop, we recommend using the latest version of Chrome, Firefox, Safari or Edge. The Loop app also runs on mobile web browsers.

To upgrade to the latest version, click on your browser:

To check what browser version you are using, visit What Is My Browser.